import { readable } from 'svelte/store';
export const DEFAULT_BREAKPOINT_SIZES = [
    'sm', 'md', 'lg', 'xl', 'default'
];
export const useMediaQuery = (query) => {
    if (typeof window === 'undefined' || !query) {
        return readable(false);
    }
    const matches = readable(false, (set) => {
        const m = window.matchMedia(query);
        set(m.matches);
        const mql = (e) => set(e.matches);
        m.addEventListener('change', mql);
        return () => {
            m.removeEventListener('change', mql);
        };
    });
    return matches;
};
